#pragma once
#ifndef GATEWAY_SERVER_I_MANAGE_LISTENING_CONNECTIONS_INCLUDED__
#define GATEWAY_SERVER_I_MANAGE_LISTENING_CONNECTIONS_INCLUDED__
///////////////////////////////////////////////////////////////////////////////
// File: IManageListeningConnections.h
///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2009 JetByte Limited.
//
// This software is provided "as is" without a warranty of any kind. All
// express or implied conditions, representations and warranties, including
// any implied warranty of merchantability, fitness for a particular purpose
// or non-infringement, are hereby excluded. JetByte Limited and its licensors
// shall not be liable for any damages suffered by licensee as a result of
// using the software. In no event will JetByte Limited be liable for any
// lost revenue, profit or data, or for direct, indirect, special,
// consequential, incidental or punitive damages, however caused and regardless
// of the theory of liability, arising out of the use of or inability to use
// software, even if JetByte Limited has been advised of the possibility of
// such damages.
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// Classes defined in other files...
///////////////////////////////////////////////////////////////////////////////

class CConnection;

///////////////////////////////////////////////////////////////////////////////
// IManageListeningConnections
///////////////////////////////////////////////////////////////////////////////

class IManageListeningConnections
{
   public :

      virtual void AddConnection(
         CConnection &connection) = 0;

      virtual bool RemoveConnection(
         CConnection &connection) = 0;

   protected :

      virtual ~IManageListeningConnections() = default;
};

#endif // GATEWAY_SERVER_I_MANAGE_LISTENING_CONNECTIONS_INCLUDED__

///////////////////////////////////////////////////////////////////////////////
// End of file: IManageListeningConnections.h
///////////////////////////////////////////////////////////////////////////////
